## net.sf.saxon.trans
Class Timer

    java.lang.Object
      net.sf.saxon.trans.Timer

    public class Timer

extends Object

Utility class for collecting and reporting timing information, used only under diagnostic control

Constructor Summary
`Timer()`

Method Summary
`void` `report(String label)`
`void` `reportCumulative(String label)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

Method Detail

### report

    public void report(String label)

### reportCumulative

    public void reportCumulative(String label)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.